# salt.states.openvswitch_port

Management of Open vSwitch ports.

salt.states.openvswitch_port.absent(name, bridge=None)

  Ensures that the named port exists on bridge, eventually deletes it. If bridge is not set, port is removed from whatever bridge contains it.

  Parameters:

    - name -- The name of the port.

    - bridge -- The name of the bridge.

salt.states.openvswitch_port.present(name, bridge, tunnel_type=None, id=None, remote=None, dst_port=None, internal=False)

  Ensures that the named port exists on bridge, eventually creates it.

  Parameters:

    - name -- The name of the port.

    - bridge -- The name of the bridge.

    - tunnel_type -- Optional type of interface to create, currently supports: vlan, vxlan and gre.

    - id -- Optional tunnel's key.

    - remote -- Remote endpoint's IP address.

    - dst_port -- Port to use when creating tunnelport in the switch.

    - internal -- Create an internal port if one does not exist